Bug 7347 - [FR][4.1] device priorities (alterator-sound)
: [FR][4.1] device priorities (alterator-sound)
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/libalsa)
: unstable
: all Linux
: P2 enhancement
Assigned To:
:
: http://faq.altlinux.ru/index.php?dist...
:
:
: 7371
  Show dependency tree
 
Reported: 2005-07-11 15:48 by
Modified: 2009-10-31 19:17 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-07-11 15:48:05
Предлагается добавить в пакет файл /etc/modutils.d/alsa-modindex следующего
содержания:

---
#### AC97 software sound chips
## spare index=0 for a real soundcard (if any), 1 -- for e.g. bt8x8
options snd_via82xx index=2
options snd_intel8x0 index=3
options snd_intel8x0m index=4

## if you experience noisy sound with VIA AC97 audio,
## try to uncomment this and play with 4/2/1:
#options snd-via82xx dxs_support=4

#### MIDI
## bank autoload; get from driver CD and uncomment these lines
#alias midi snd-seq-oss
#post-install snd-seq-oss sfxload /etc/midi/8mbgmsfx.sf2
## -- or -- install awesfx and uncomment this:
#post-install snd-seq-oss sfxload /etc/midi/gu11-rom.sf2
---

PS: на всякий ставлю #7079 blocker, чтоб не забыть; делаю в libalsa-1.0.9-alt3,
но не спеша вываливать.
------- Comment #1 From 2005-07-11 16:53:28 -------
<vsu> ну то, что ты написал, не сработает как минимум с bt8x8+via
<vsu> сейчас он с индекса 1 пихается
<vsu> ага, snd-bt87x
<vsu> модемы, которые есть сейчас: snd-atiixp-modem, snd-intel8x0m,
snd-via82xx-modem
<vsu> только непонятно, что будет, если на index 0 ничего нет, а всё где-то
дальше...
<vsu> в куче мест забито по умолчанию hw:0
<vsu> собственно, в alsa.conf: defaults.pcm.card 0

=> эти записи будут комментированными, плюс добавляю модемы:

#options snd_intel8x0 index=2
#options snd_via82xx index=2
#options snd-bt87x index=3
#options snd_intel8x0m index=4
#options snd-atiixp-modem index=4
#options snd-via82xx-modem index=4

и в FAQ как минимум, плюс хорошо бы в hotplug как-то это учесть.
------- Comment #2 From 2005-07-15 09:54:55 -------
Также в этот список необходимо добавить snd-usb-audio с максимально высоким
индексом.
------- Comment #3 From 2005-07-15 10:12:49 -------
Список будет закомментирован -- см. комментарии vsu@.

Можно понизить, но не повысить приоритет (по умолчанию для не-модемов -- 0).

Увы.
------- Comment #4 From 2005-08-04 13:09:01 -------
заливаю 1.0.9-alt3; на самом деле это не решение, надо делать конфигуратор
------- Comment #5 From 2006-10-16 21:37:43 -------
Тыкс... а не заняться ли.  У кого есть соображения, давайте их сюда.
------- Comment #6 From 2006-10-16 21:44:31 -------
Собственно к размышлению:

источники информации:
- /proc/asound/modules, lsmod, pciscan ("первичная", но модули могут быть не
загружены, а устройства -- быть также pcmcia, isa[pnp] или usb как минимум)
- /etc/modutils.d/alsa-modindex (по умолчанию весь заремарен)

желаемый результат:
- возможность выстроить модули в нужном порядке, дав индексы

примерный алгоритм:
- строим список всех (загруженных?) модулей, сортируем по индексам, если были в
alsa-modindex (и с учётом "чёрного списка"?)
- позволяем изменить порядок, включить или выключить некоторые модули
- соответственно пишем (дописываем?) в /etc/modutils.d/alsa-modindex изменённые
index или вообще off
------- Comment #7 From 2007-06-11 17:31:40 -------
Гриш, Антон, если интересно -- мож нарисуете морду для Desktop 4.0?  В
libalsa-то всё уже на месте, но я сейчас просто не добираюсь.
------- Comment #8 From 2007-06-11 21:52:03 -------
*** Bug 8212 has been marked as a duplicate of this bug. ***
------- Comment #9 From 2007-12-22 03:33:34 -------
Серж, вот это вот упоминал.
------- Comment #10 From 2009-10-30 13:58:39 -------
2 shrek: ты, что ли, файлик выкинул?  Если да, то положь на место.

по модулю альтератора: apparently wontfix
------- Comment #11 From 2009-10-31 04:56:58 -------
(В ответ на комментарий №10)
> по модулю альтератора: apparently wontfix

Сейчас для целей указания через какую звуковую карту играть надо использовать
PulseAudio. Как раз сегодня проверял, работает.
------- Comment #12 From 2009-10-31 10:31:56 -------
я кождый день проверяю, подключая bluetooth наушники

$ rpmquery -l libalsa | head -1
/etc/modprobe.d/alsa-modindex

а вот это ископаемое пора выкинуть
------- Comment #13 From 2009-10-31 19:17:07 -------
(In reply to comment #12)
> я кождый день проверяю, подключая bluetooth наушники
Спасибо.

> $ rpmquery -l libalsa | head -1
> /etc/modprobe.d/alsa-modindex
Надо же, смотрел, но умудрился проморгать.  Как -- не пойму :(

> а вот это ископаемое пора выкинуть
Если ты про файлик с комментариями -- оставь, он был туда положен после
надцатого ответа на вопросы в рассылках.  И никому/ничему не мешает вроде.

Тогда FIXED.